Bug 427067 - Weird behaviour of checkboxes in Edit -> Preferences -> Spell Checking
Weird behaviour of checkboxes in Edit -> Preferences -> Spell Checking
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: xchat-gnome (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Brian Pepple
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-30 15:33 EST by Debarshi Ray
Modified: 2008-04-09 01:14 EDT (History)
0 users

See Also:
Fixed In Version: 0.18-8.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-09 01:14:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 437213 None None None Never

  None (edit)
Description Debarshi Ray 2007-12-30 15:33:18 EST
Description of problem:

Clicking on any of the check boxes corresponding to the languages listed under
Edit -> Preferences -> Spell Checking, results in a bunch of check boxes getting
(de-)selected. eg., if I clicked on English (Canada), then apart from English
(Canada)'s check box, a number of different other check boxes also react.

However on re-visiting the menu, the state of the check boxes correctly
represents result of your (de-)selection last time around. eg., even if your
clicking on English (Canada) had wrongfully caused other buttons to react, on
re-visiting the menu you will find that only English (Canada)'s state had
changed and the other check boxes have not been affected.


Version-Release number of selected component (if applicable):

xchat-gnome-0.18-5.fc8


Expected results:

Only the checkbox that was selected should get flipped.


Additional info:

http://bugzilla.gnome.org/show_bug.cgi?id=437213
https://bugs.edge.launchpad.net/ubuntu/+source/xchat-gnome/+bug/137733

Although the Ubuntu maintainer has submitted the patch upstream, they are yet to
accept it and it still exists in the latest Fedora package. Can Fedora carry
this patch till it gets accepted?
Comment 1 Fedora Update System 2008-03-25 13:22:09 EDT
xchat-gnome-0.18-8.fc8 has been submitted as an update for Fedora 8
Comment 2 Fedora Update System 2008-03-26 13:11:00 EDT
xchat-gnome-0.18-8.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update xchat-gnome'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-2668
Comment 3 Fedora Update System 2008-04-09 01:14:05 EDT
xchat-gnome-0.18-8.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.